com.here.msdkui.routing

## Class SectionModel

- java.lang.Object
- - com.here.msdkui.routing.SectionModel

-     public final class SectionModel
      extends java.lang.Object

  Defines the model of a `SectionBar`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SectionModel.Bounds` A class that defines upper and lower bounds.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionModel()` Constructs a new instance using default bounds.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SectionModel.Bounds` | `getBounds()` Gets the bounds of this model.
    `int` | `getColor()` Gets the color of this model.
    `android.graphics.drawable.Drawable` | `getDrawable()` Gets the drawable of this model.
    `SectionModel` | `setBounds(SectionModel.Bounds bounds)` Sets the bounds of this model.
    `SectionModel` | `setColor(int color)` Sets the color of this model.
    `SectionModel` | `setDrawable(android.graphics.drawable.Drawable drawable)` Sets the drawable to be used for this model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SectionModel

          public SectionModel()

      Constructs a new instance using default bounds.

  - ### Method Detail

    - #### getBounds

          public SectionModel.Bounds getBounds()

      Gets the bounds of this model.
      Returns:
        the bounds of this model.

    - #### setBounds

          public SectionModel setBounds(SectionModel.Bounds bounds)

      Sets the bounds of this model. These bounds can be set to the `SectionBar` to define the allowed range of the scale factor. By default, the scale factor represents a normalized value between [0, 1], whereas 0 would lead to a width of 0 and 1 would lead to an unscaled width. Be careful when exceeding these thresholds.
      Parameters:
        `bounds` - the bounds to use for this model.
      Returns:
        an instance of this class.

    - #### getDrawable

          public android.graphics.drawable.Drawable getDrawable()

      Gets the drawable of this model.
      Returns:
        the drawable of this model.

    - #### setDrawable

          public SectionModel setDrawable(android.graphics.drawable.Drawable drawable)

      Sets the drawable to be used for this model.
      Parameters:
        `drawable` - the drawable to use.
      Returns:
        an instance of this class.

    - #### getColor

          public int getColor()

      Gets the color of this model.
      Returns:
        the color of this model.

    - #### setColor

          public SectionModel setColor(int color)

      Sets the color of this model.
      Parameters:
        `color` - the color to use for this model.
      Returns:
        an instance of this class.